:root {
  --theme-dark-transition: 0.7s ease-out;
  --gradient-width: 300px;

  @include respond-max('tablet') {
    --gradient-width: 200px;
  }
  @include respond-max('mobile') {
    --gradient-width: 50px;
  }
}

html,
body {
  height: 100%;
}

body {
  position: relative;
  font-family: 'CenturyGothic', sans-serif;
  font-size: 16px;
  line-height: 22px;
  -webkit-font-smoothing: antialiased;
  overflow: hidden;

  &.dark-theme {
    .page-main {
      background-color: #000;

      &:before,
      &:after {
        opacity: 0;
      }
    }

    .scroll-el {
      background-color: #fff;

      &__round {
        border-color: #fff;
        background-color: #000;
      }
    }

    .logo_white {
      opacity: 1;
    }

    .logo_dark {
      opacity: 0;
    }

    .header,
    .footer {
      color: #fff;
    }
  }

  @include respond-max('tablet') {
    font-size: 14px;
    line-height: 20px;
  }
}

*,
:before,
:after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

* {
  -webkit-locale: auto;
}

svg {
  pointer-events: none;
}

input,
textarea,
button {
  border: none;
  outline: none;
  border-radius: 0;
}

input[type='text'],
input[type='password'],
input[type='tel'],
input[type='email'],
input[type='number'],
textarea,
button {
  -webkit-appearance: none;
}

button {
  cursor: pointer;
}

input::-webkit-credentials-auto-fill-button,
input::-webkit-contacts-auto-fill-button {
  visibility: hidden;
  pointer-events: none;
  position: absolute;
  right: 0;
}

input::-ms-reveal,
input::-ms-clear {
  width: 0;
  height: 0;
}

fieldset {
  border: none;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: inherit;
  font-weight: normal;
  color: inherit;
}

a {
  color: inherit;
  text-decoration: none;

  &:hover,
  &:active,
  &:focus {
    text-decoration: none;
  }
}

li {
  list-style: none;
}

.visually-hidden {
  border: 0;
  clip: rect(0 0 0 0);
  width: 1px;
  height: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute;
}

p {
  color: #999999;
}

img {
  max-width: 100%;
  height: auto;
  object-fit: cover;
}
